GET
/docs/{docId}/tables/{tableId}/columnsList columns in a table
Lists the columns in a specified table. Set hidden to true to include hidden columns, such as manualSort; otherwise, the response lists the columns without requesting hidden ones.
docIdstringrequired
The document identifier in UUID format.
tableIdstringrequired
The normalized table name or the numeric row ID in `_grist_Tables`.
hiddenbooleanoptional
Set to true to include hidden columns, such as `manualSort`.
200Returns the columns in the table.
columnsarray<object>optional
Error handling
The docId path parameter must identify a document, and the tableId path parameter must identify a table by its normalized name or numeric row ID. Set hidden to true when you need hidden columns included in the results.
